Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058380 - Remove ""This system is not registered to...
Summary: Remove ""This system is not registered to...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 6.6
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-01-27 17:00 UTC by Adrian Likins
Modified: 2014-09-11 12:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-20 23:15:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1062362 None None None 2019-04-13 00:11:51 UTC

Description Adrian Likins 2014-01-27 17:00:43 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Adrian Likins 2014-01-27 17:03:39 UTC
er, bugzilla weirdness.

See https://access.redhat.com/site/solutions/291813

The "This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register." 

and/or

"This system is not registered with RHN Classic or RHN Satellite.
You can use rhn_register to register.
RHN Satellite or RHN Classic support will be disabled."


Causes lots of confusion. See view count on that article...

It is also largely wrong for rhel7 (no rhn).

Comment 4 William Poteat 2014-06-09 14:40:51 UTC
Commit 050591af59cd0b84e31b689c18a19a6692149f2d

Comment 5 John Sefler 2014-07-10 16:25:25 UTC
(In reply to William Poteat from comment #4)
> Commit 050591af59cd0b84e31b689c18a19a6692149f2d

This commit is included in subscription-manager-1.12.2+ which is targeted for release with RHEL6.6.

Moving to product RHEL6 for verification...

Comment 6 John Sefler 2014-07-10 21:26:41 UTC
Demonstrating/Verifying....


On a RHEL6.5 server where the offending behavior exists...

[root@qe-blade-04 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.5 (Santiago)
[root@qe-blade-04 ~]# rpm -q $(rpm -q --whatprovides /etc/redhat-release)
redhat-release-server-6Server-6.5.0.1.el6.x86_64
[root@qe-blade-04 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.20.1-1
subscription-manager: 1.9.11-1.el6
python-rhsm: 1.9.6-1.el6
[root@qe-blade-04 ~]# subscription-manager identity
This system is not yet registered. Try 'subscription-manager register --help' for more information.
[root@qe-blade-04 ~]# yum repolist
Loaded plugins: product-id, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
repolist: 0
[root@qe-blade-04 ~]# 

OFFENDING MESSAGE "This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register." is presented by the yum subscription-manager plugin


[root@qe-blade-04 ~]# yum update redhat-release-server-6Server subscription-manager python-rhsm --quiet -y --enablerepo=latest-RHEL66
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
[root@qe-blade-04 ~]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 6.6 Beta (Santiago)
[root@qe-blade-04 ~]# rpm -q redhat-release-server-6Server
redhat-release-server-6Server-6.6.0.1.el6.x86_64
[root@qe-blade-04 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.20.1-1
subscription management rules: 5.9
subscription-manager: 1.12.4-1.el6
python-rhsm: 1.12.4-1.el6
[root@qe-blade-04 ~]# subscription-manager identity
This system is not yet registered. Try 'subscription-manager register --help' for more information.
[root@qe-blade-04 ~]# yum repolist
Loaded plugins: product-id, security, subscription-manager
repolist: 0
[root@qe-blade-04 ~]# 

VERIFIED: The offending message is no longer presented by the yum subscription-manager plugin during a yum transaction when not registered.

Comment 7 John Sefler 2014-07-11 14:21:50 UTC
Note that this bug removes some of the "Yum Plugin usability Improvements" that were implemented to address bug 818383 and bug 832119.

Comment 8 John Sefler 2014-08-20 21:50:44 UTC
This is failing again.
Somehow the changes that were introduced by subscription-manager commit 050591af59cd0b84e31b689c18a19a6692149f2d got clobbered in subscription-manager.py or got reverted or something that is once against causing the offending message "This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register." to be presented by the yum subscription-manager plugin...


[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.12.12-1.el6.x86_64
[root@jsefler-6 ~]# subscription-manager identity
This system is not yet registered. Try 'subscription-manager register --help' for more information.
[root@jsefler-6 ~]# yum repolist
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
repolist: 0
[root@jsefler-6 ~]# 


Did not expect the offending message during the yum transaction.

Moving back to ASSIGNED/FailedQA

Comment 9 Adrian Likins 2014-08-20 22:17:01 UTC
f8b170db15675819eb51459999cc8e99f74059eb changes behaviour as well

commit f8b170db15675819eb51459999cc8e99f74059eb
Author: Devan Goodwin <dgoodwin@redhat.com>
Date:   Wed Jun 4 12:21:29 2014 -0300

    Don't encourage registration in yum plugin if we have ents but no identity.
    
    In containers, we will have entitlements but no identity, we do not want to
    encourage users to run register every time they use yum in this situation.
    
    Also fixing a logic error, if you had no identity, and no ents, we were
    prompting you to subscribe. (when we should be prompting you to register)


(my preference is still to be quiet in both cases...)

Comment 10 John Sefler 2014-08-20 22:40:53 UTC
and 81d7bc5cf44b6d727781247fe1606d3a13ddfead changes behaviour as too

    1122772: yum repolist now displays warning when appropriate.

Comment 11 John Sefler 2014-08-20 23:15:07 UTC
In favor of all of the competing commits and newer bug 1122772 used to revert some of the aggressive removal of messaging from this bug, I'm just going to move this bug to CLOSED WORKSFORME against the current build of subscription-manager...

[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.12.12-1.el6.x86_64


Note You need to log in before you can comment on or make changes to this bug.